> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quentli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List message templates

> Returns email and WhatsApp message templates used by reminders and workflows.



## OpenAPI

````yaml /openapi.yaml get /v1/message-templates
openapi: 3.1.0
info:
  title: Quentli REST API
  version: 1.0.0
  description: OpenAPI spec for Quentli REST endpoints.
servers:
  - url: https://api.quentli.com
    description: Production API
  - url: https://api.staging.quentli.com
    description: Staging API for production-like validation
security:
  - organizationApiKey: []
  - oauthAccessToken: []
tags:
  - name: Auth
  - name: Management
  - name: Billing
  - name: Catalog
  - name: Customers
  - name: Invoices
  - name: Payment Methods
  - name: Payment Sessions
  - name: Payments
  - name: Subscriptions
  - name: Tax Invoices
  - name: Webhooks
  - name: Messaging
paths:
  /v1/message-templates:
    get:
      tags:
        - Messaging
      summary: List message templates
      description: >-
        Returns email and WhatsApp message templates used by reminders and
        workflows.
      operationId: message_templates_list
      parameters:
        - schema:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/StringFilter'
              name:
                $ref: '#/components/schemas/StringFilter'
              createdAt:
                $ref: '#/components/schemas/DateTimeFilter'
              channel:
                type: string
                enum:
                  - EMAIL
                  - SMS
                  - WHATSAPP
              purpose:
                type:
                  - string
                  - 'null'
                enum:
                  - PAYMENT_REMINDER_NEAR_DUE
                  - PAYMENT_REMINDER_DUE
                  - PAYMENT_REMINDER_NEAR_OVERDUE
                  - DECLINED_PAYMENT
                  - PAYMENT_RECEIPT
                  - CARD_EXPIRY_NOTICE
                  - WHATSAPP_OPT_IN
                  - LOGIN_VERIFICATION_CODE
                  - MESSAGE_PREVIEW_NOTIFICATION
                  - PENDING_INVOICES_REMINDER
                  - null
            additionalProperties: false
            description: Fields encoded with `qs` bracket notation.
          required: false
          description: Fields encoded with `qs` bracket notation.
          style: deepObject
          explode: true
          name: filter
          in: query
        - schema:
            type: object
            properties:
              id:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
              createdAt:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
              updatedAt:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
              name:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
              channel:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
              purpose:
                anyOf:
                  - type: string
                    enum:
                      - asc
                    description: Ascending
                  - type: string
                    enum:
                      - desc
                    description: Descending
            additionalProperties: false
            description: Fields encoded with `qs` bracket notation.
          required: false
          description: Fields encoded with `qs` bracket notation.
          style: deepObject
          explode: true
          name: orderBy
          in: query
        - schema:
            type: number
            minimum: 0
            default: 0
            description: Pagination offset.
            example: 0
          required: false
          description: Pagination offset.
          name: skip
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
            description: Pagination limit.
            example: 20
          required: false
          description: Pagination limit.
          name: take
          in: query
      responses:
        '200':
          description: Message templates list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessageTemplatesResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
components:
  schemas:
    StringFilter:
      type: object
      properties:
        equals:
          type: string
        in:
          type: array
          items:
            type: string
        notIn:
          type: array
          items:
            type: string
        lt:
          type: string
        lte:
          type: string
        gt:
          type: string
        gte:
          type: string
        contains:
          type: string
        startsWith:
          type: string
        endsWith:
          type: string
        search:
          type: string
        not:
          $ref: '#/components/schemas/StringFilter'
      additionalProperties: false
    DateTimeFilter:
      type: object
      properties:
        equals:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        lt:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        lte:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        gt:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        gte:
          anyOf:
            - type: string
              description: Date string
            - type: string
              format: date-time
              description: Date object
        not:
          $ref: '#/components/schemas/DateTimeFilter'
      additionalProperties: false
    GetMessageTemplatesResponse:
      type: array
      items:
        $ref: '#/components/schemas/MessageTemplate'
      description: List of message templates.
    UserError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
      additionalProperties: false
      description: Standard user-facing error response envelope.
    MessageTemplate:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the message template.
          example: msgt_1234567890abcdefghij
        createdAt:
          type: string
          format: date-time
          description: When the template was created.
        updatedAt:
          type: string
          format: date-time
          description: When the template was last updated.
        organizationId:
          type: string
          description: Organization that owns the template.
        name:
          type: string
          description: Name of the template.
          example: Recordatorio de pago
        description:
          type:
            - string
            - 'null'
          description: Optional description of the template.
        channel:
          type: string
          enum:
            - EMAIL
            - SMS
            - WHATSAPP
          description: Channel the template is sent through.
        purpose:
          type:
            - string
            - 'null'
          enum:
            - PAYMENT_REMINDER_NEAR_DUE
            - PAYMENT_REMINDER_DUE
            - PAYMENT_REMINDER_NEAR_OVERDUE
            - DECLINED_PAYMENT
            - PAYMENT_RECEIPT
            - CARD_EXPIRY_NOTICE
            - WHATSAPP_OPT_IN
            - LOGIN_VERIFICATION_CODE
            - MESSAGE_PREVIEW_NOTIFICATION
            - PENDING_INVOICES_REMINDER
            - null
          description: Automatic message this template is the default for, if any.
        emailTemplate:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              description: Unique identifier of the configuration.
            createdAt:
              type: string
              format: date-time
              description: When the configuration was created.
            updatedAt:
              type: string
              format: date-time
              description: When the configuration was last updated.
            organizationId:
              type: string
              description: Organization that owns the configuration.
            messageTemplateId:
              type: string
              description: Message template this configuration belongs to.
            subject:
              type: string
              description: Email subject. May contain variable placeholders.
            body:
              type: string
              description: Email body. May contain variable placeholders.
            linkText:
              type:
                - string
                - 'null'
              description: Payment link text. May contain variable placeholders.
          required:
            - id
            - createdAt
            - updatedAt
            - organizationId
            - messageTemplateId
            - subject
            - body
            - linkText
          description: Subject, body, and link text of an EMAIL template.
        smsTemplate:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              description: Unique identifier of the configuration.
            createdAt:
              type: string
              format: date-time
              description: When the configuration was created.
            updatedAt:
              type: string
              format: date-time
              description: When the configuration was last updated.
            organizationId:
              type: string
              description: Organization that owns the configuration.
            messageTemplateId:
              type: string
              description: Message template this configuration belongs to.
            body:
              type: string
              description: SMS body. May contain variable placeholders.
          required:
            - id
            - createdAt
            - updatedAt
            - organizationId
            - messageTemplateId
            - body
          description: Body of an SMS template.
        whatsappTemplate:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              description: Unique identifier of the configuration.
            createdAt:
              type: string
              format: date-time
              description: When the configuration was created.
            updatedAt:
              type: string
              format: date-time
              description: When the configuration was last updated.
            organizationId:
              type: string
              description: Organization that owns the configuration.
            messageTemplateId:
              type:
                - string
                - 'null'
              description: Message template this configuration belongs to.
            whatsappTemplateId:
              type:
                - string
                - 'null'
              description: WhatsApp template whose components contain the message content.
            variableMappings:
              type: array
              items:
                $ref: '#/components/schemas/WhatsappTemplateConfigVariableMapping'
              description: Values assigned to the WhatsApp template parameters.
          required:
            - id
            - createdAt
            - updatedAt
            - organizationId
            - messageTemplateId
            - whatsappTemplateId
            - variableMappings
          description: WhatsApp template and parameter values of a WHATSAPP template.
      required:
        - id
        - createdAt
        - updatedAt
        - organizationId
        - name
        - description
        - channel
        - purpose
        - emailTemplate
        - smsTemplate
        - whatsappTemplate
      description: An email or WhatsApp message template used by reminders and workflows.
    WhatsappTemplateConfigVariableMapping:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the configuration.
        createdAt:
          type: string
          format: date-time
          description: When the configuration was created.
        updatedAt:
          type: string
          format: date-time
          description: When the configuration was last updated.
        organizationId:
          type: string
          description: Organization that owns the configuration.
        whatsappTemplateConfigId:
          type: string
          description: WhatsApp configuration this mapping belongs to.
        component:
          type: string
          enum:
            - HEADER
            - BODY
          description: WhatsApp component containing the parameter.
        paramName:
          type: string
          description: WhatsApp template parameter name.
          example: customer_name
        variableName:
          type: string
          description: >-
            Literal text, or a runtime expression such as
            {{organizacion.nombre}}.
      required:
        - id
        - createdAt
        - updatedAt
        - organizationId
        - whatsappTemplateConfigId
        - component
        - paramName
        - variableName
      description: Value assigned to a WhatsApp template parameter.
  securitySchemes:
    organizationApiKey:
      type: http
      scheme: bearer
      description: 'Organization API key using `Authorization: Bearer sk_...`.'
    oauthAccessToken:
      type: http
      scheme: bearer
      bearerFormat: OAuth 2.1
      description: 'OAuth access token using `Authorization: Bearer qoa_at_...`.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.